import React, { useState, useEffect } from 'react';
import { Modal, Form, Input, Button, Select, InputNumber, Tag, Tooltip } from 'antd';
const EditForm = (props) => {
  const formItemLayout = {
    labelCol: {
      sm: { span: 4 },
    },
    wrapperCol: {},
  };
  return (
    <Modal
      title={'修改'}
      width={640}
      visible={props.editModalVisible}
      bodyStyle={{ padding: '32px 40px 48px' }}
      footer={null}
      onCancel={() => {
        props.onCancel();
      }}
      destroyOnClose
    >
      
        <Form
        {...formItemLayout}
        layout="Horizontal"
        preserve={false}
        initialValues={props.values}
        onFinish={props.onFinish}
      >
        <Form.Item name="id" hidden={true}>
          <Input />
        </Form.Item>
        <Form.Item name="desktopNumber" label="桌面码">
          <Input placeholder="请输入桌面码" />
        </Form.Item>
        {/* <Form.Item name="code" label="桌面码前缀">
          <Input placeholder="请输入桌面码前缀" />
        </Form.Item> */}
        <Form.Item>
          <Button disabled={props.isLook} type="primary" htmlType="submit" style={{ float: 'right' }}>
            保存
          </Button>
        </Form.Item>
        </Form>
    </Modal>
  );
};

export default EditForm;
